Subject: Re: [pcp] I-D Action: draft-ietf-pcp-optimize-keepalives-02.txt

From: "Tirumaleswar Reddy (tireddy)" <[email-masked]>
Date: Thu, 7 Aug 2014 10:39:46 +0000

Hi Suresh,

Please see inline

> -----Original Message-----
> From: Suresh Kumar Vinapamula Venkata [mailto:[email-masked]]
> Sent: Wednesday, August 06, 2014 7:26 AM
> To: Tirumaleswar Reddy (tireddy)
> Cc: [email-masked]
> Subject: Re: [pcp] I-D Action: draft-ietf-pcp-optimize-keepalives-02.txt
> 
> Hi Tiru,
> 
> Very important problem to solve especially in mobile deployments, and
> interesting solution.
> 
> 1) When you say PCP unaware NAT/FW you also meant, NAT/FW
> deployments with PCP server and PCP clients are not ware of that PCP server
> credentials right?

It's not referring any authentication mechanism.
PCP unaware NAT/FW, means NAT/FW devices which have not been upgraded to be PCP-aware.

> 
> 2) In typical deployments, inactivity timeout would be configured at the
> application level in NAT/Firewall boxes. In case of PCP unaware FW/NAT, if
> approach in section 4 is followed, wouldn't applications may determine false
> inactivity timeouts which could result in disruption of traffic ?

Yes, firewalls may or may not be configured with application specific timeouts. The proposed mechanism is only a heuristics method, will update the draft to high-light this point.

> 
> 3) There is a typo in section 3.4. I think you meant RFC 6887 and not RFC
> 6877 and also the hyperlinks seems to be broken. 

Good catch, fixed it.

> And how is 3.4 different
> from 10.3 in 6887?

3.4 is explains that once application determines that on-path NAT and firewalls to the Internet support PCP, it can use PCP instead of using default keep lives to maintain the NAT/FW state.  In one place it is referring to section 10.3 of 6887.

-Tiru

> 
> 
> -Suresh
> 
> 
> On 7/25/14 4:42 AM, "[email-masked]" <[email-masked]>
> wrote:
> 
> >
> >A New Internet-Draft is available from the on-line Internet-Drafts
> >directories.
> > This draft is a work item of the Port Control Protocol Working Group
> >of the IETF.
> >
> >        Title           : Optimizing NAT and Firewall Keepalives Using
> >Port Control Protocol (PCP)
> >        Authors         : Tirumaleswar Reddy
> >                          Markus Isomaki
> >                          Dan Wing
> >                          Prashanth Patil
> >	Filename        : draft-ietf-pcp-optimize-keepalives-02.txt
> >	Pages           : 15
> >	Date            : 2014-07-25
> >
> >Abstract:
> >   This document describes how Port Control Protocol is useful in
> >   reducing NAT and firewall keepalive messages for a variety of
> >   applications.
> >
> >
> >The IETF datatracker status page for this draft is:
> >https://datatracker.ietf.org/doc/draft-ietf-pcp-optimize-keepalives/
> >
> >There's also a htmlized version available at:
> >http://tools.ietf.org/html/draft-ietf-pcp-optimize-keepalives-02
> >
> >A diff from the previous version is available at:
> >http://www.ietf.org/rfcdiff?url2=draft-ietf-pcp-optimize-keepalives-02
> >
> >
> >Please note that it may take a couple of minutes from the time of
> >submission until the htmlized version and diff are available at
> >tools.ietf.org.
> >
> >Internet-Drafts are also available by anonymous FTP at:
> >ftp://ftp.ietf.org/internet-drafts/
> >
> >_______________________________________________
> >pcp mailing list
> >[email-masked]
> >https://www.ietf.org/mailman/listinfo/pcp